> For the complete documentation index, see [llms.txt](https://docs.innopaas.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.innopaas.com/api-reference/otp-api/webhook.md).

# WebHook

## **状态推送**

### 消息状态参数

| 字段         | 数据类型   | 是否必填 | 描述                           |
| ---------- | ------ | ---- | ---------------------------- |
| accountNo  | String | 是    | 产品账号                         |
| appKey     | String | 是    | 应用KEY                        |
| messageId  | String | 是    | 消息ID                         |
| mobile     | String | 是    | 手机号码                         |
| status     | String | 是    | 状态 0: 进行中，1:失败，2:成功          |
| code       | String | 是    | Code success: 成功， failed :失败 |
| reportTime | String | 是    | 状态报告时间 yyyy-MM-dd HH:mm:ss   |
| errCode    | String | 否    | status=1 时，有值，原始失败码          |
| errMessage | String | 否    | status=1 时，有值，失败原因           |

### 推送示例

```json
{
    "accountNo":"110129512080522",
    "appKey": "6285234567899",
    "messageId": "8618912123456",
    "mobile": "861571111111",
    "status":"0",
    "code":"success",
    "errCode":null,
    "errMessage":null,
    "reportTime":"2024-12-12 11:12:12"
}

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.innopaas.com/api-reference/otp-api/webhook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
